# catn8-pay
spv payments library  
use in client web pages and back end server  

Include in browser with  
```
<script src="https://unpkg.com/catn8-pay/dist/catn8-pay.js"></script>
```
or npm
```
npm i catn8-pay
```

## Local Development Setup

Ensure you are using an up to date version of npm/node
```
npm install`
```
After making code modifications, run tests (some may fail because of timeout. need to research why)
```
npm run test
``` 
Create browserify version for web clients
```
npm run browserify
```
[TODO: Needs improvements. Run your local server and local web page to debug any issues. (At this point package is not published yet on npm, so you will only be able to test code that you manually copy. An alternative is to npm install using a github reference which bypasses need for npm publish.)]
  
When all everything works then publish the new version. 
Bump the version in package.json.
Then publish to npm.
```
npm publish
```
In a minute or so the new code will be available on unkpg.

## Documentation

To view the documentation, spool up a local web server and navigate to: `http://127.0.0.1:5500/docs/modules.html`

To update the documentation, run:
```
npx typedoc src/index.ts
```

## Housekeeping for Local Development

* In library project, local test if possible, for good coverage.  
* Build, 'npm run browserify', publish.  
* Then web site update lib reference and restart local web site.  
* Then update payer lib ref, build, copy.
* Then refresh player web page and watch browser console.
* Several apps depend on this lib, so when it changes it affects everything above it.
