/// <reference types="node" />
import { IndexClient } from "./IndexClient";
export declare class Validator {
    api: IndexClient;
    constructor(index?: IndexClient);
    swapEndianness(buffer: Buffer): Buffer;
    validateProof(/*tx:any,*/ proof: any): Promise<any>;
    hash(left: Buffer, right: Buffer): Buffer;
    calculateMerkle(proof: any): string;
    isMerkleInBlockHeader(merkle: string): Promise<any>;
}
//# sourceMappingURL=Validator.d.ts.map