import { IndexClient } from "../src/IndexClient"

test('mapi quote', async () => {
    const api = new IndexClient()
    const quote = await api.getFeeQuote()
    console.log(quote)
    expect(quote).toBeDefined()
})

test('mapi broadcast raw', async () => {
    const api = new IndexClient()
    const result = await api.broadcastmapi({rawtx:'SOMEDUMMYTX'})
    console.log(result)
    expect(result.payload).not.toBeDefined()
    expect(result.message).toBeDefined()
})

test('mapi broadcast', async () => {
    const api = new IndexClient()
    const result = await api.broadcastmapi({rawtx:'SOMEDUMMYTX', dsCheck:false, merkleProof:false})
    console.log(result)
    expect(result.payload).not.toBeDefined()
    expect(result.message).toBeDefined()
})
