/// <reference types="node" />
export declare class IndexClient {
    swapEndianness(buffer: Buffer): Buffer;
    getBlockHeaderForMerkleRoot(merkleRoot: string): Promise<any>;
    getUnspents(address: string): Promise<any>;
    getTx(txid: string): Promise<any>;
    getTxRaw(txid: string): Promise<string>;
    getProof(txid: string): Promise<any>;
    broadcast(raw: string): Promise<any>;
    broadcastmapi(mapistuff: any): Promise<any>;
    broadcastraw(raw: string): Promise<any>;
    getFeeQuote(): Promise<any>;
    mempool(): Promise<any>;
    getBlockHeader(blockhash: string): Promise<any>;
    getBlockHeaderByNumber(blocknumber: string): Promise<any>;
    getBlockHeadersLast10(): Promise<any>;
}
//# sourceMappingURL=IndexClient.d.ts.map