"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const IndexClient_1 = require("../src/IndexClient");
test('mapi quote', async () => {
    const api = new IndexClient_1.IndexClient();
    const quote = await api.getFeeQuote();
    console.log(quote);
    expect(quote).toBeDefined();
});
test('mapi broadcast raw', async () => {
    const api = new IndexClient_1.IndexClient();
    const result = await api.broadcastmapi({ rawtx: 'SOMEDUMMYTX' });
    console.log(result);
    expect(result.payload).not.toBeDefined();
    expect(result.message).toBeDefined();
});
test('mapi broadcast', async () => {
    const api = new IndexClient_1.IndexClient();
    const result = await api.broadcastmapi({ rawtx: 'SOMEDUMMYTX', dsCheck: false, merkleProof: false });
    console.log(result);
    expect(result.payload).not.toBeDefined();
    expect(result.message).toBeDefined();
});
//# sourceMappingURL=mapi.test.js.map