// test to see what a proof on an unconfirmed tx looks like

//import { Wallet } from '../src'
import { doesNotReject } from 'assert/strict'
import { IndexClient } from '../src/IndexClient'
import { wif } from './wallet.test'
// build tx
//const w = new Wallet(wif)
const api = new IndexClient()

// test('Proof unbroadcast', async () => {
//     const utxos = await api.getUnspents(w.Address.toString())
//     //console.log(utxos)
//     const tx = w.spend(w.Address.toString(), 1000, utxos[0])
//     console.log(tx)
//     const unbroadcastproof = await api.getProof(tx.txid)
//     // unbroadcasted tx will have no proof (null)
//     expect(unbroadcastproof).toBeNull()
// })

// test('proof mempool', async() => {
//     const mempool = await api.mempool()
//     expect(mempool[0].length).toBe(64)
//     console.log(mempool[0])
//     const mempoolproof = await api.getProof(mempool[0])
//     console.log(mempoolproof)
//     //tx in mempool will not have proof
//     expect(mempoolproof).toBeNull()
// })

// test('proof walk inputs', async() => {

    const dotxn = async (txn:any, txns:any):Promise<any> => {
        txns.push(txn)
        // console.log(`TXN`,txn)
        if (txn.blockheight) { console.log(`TX CONFIRMED in ${txn.blockheight}`) }
        //console.log(`IN COUNT`, txn.vin.length)
        for (let x=0; x < txn.vin.length; x++) {
            const input = txn.vin[x]
            //console.log(`${input.txid}:${input.vout}`)
            const txinput = await api.getTx(input.txid)
            //console.log(`INPUT`,txinput.txid)
            txns.push(txinput)
            if (txinput.blockheight) { 
                //console.log(`PARENT INPUT CONFIRMED in ${txinput.blockheight}`)
            }
            if (txinput.blockheight) {
                const proof = await api.getProof(txinput.txid)
                //console.log(`PROOF`, proof[0].merkleRoot)
                return proof
            } else {
                console.log(`CHAINED`,txinput.txid)
                return await dotxn(txinput,txns)
            }
        }
    }

    const doit = async () => {
        const mempool = await api.mempool()
        for(let n=0; n< mempool.length; n++) {
            const txid = mempool[n]
            //console.log(`MEMPOOL TX`,txid)
            const txnmp = await api.getTx(txid)
            const txns:any = []
            await dotxn(txnmp, txns)
            if (txns.length > 2) {
                console.log(`TXNS ${txns.length}`,txns)
            } else {
                console.log(`TXNS ${txns.length}/${mempool.length}`, txns[0].txid)
            }
        }
    }
    //doit()

    const doone = async (txid:string) => {
        // chained 169fe90e97c41e0af3424b624b1be376cca3fc1789029c187bf82a056d5ef2b2
        const txnmp = await api.getTx(txid)
        const txns:any = []
        const proofs = await dotxn(txnmp, txns)
        if (txns.length > 2) {
            console.log(`TXNS ${txns.length}`,txns)
        } else {
            console.log(`TXNS ${txns.length}`, txns[0].txid)
        }
        return proofs
    }

    test('proof', async () => {
        const txid = '169fe90e97c41e0af3424b624b1be376cca3fc1789029c187bf82a056d5ef2b2'
        const proofs = await doone(txid)
        const proof = proofs[0]
        //console.log(proof)
    })


export {};
